@import url('https://fonts.googleapis.com/css2?family=Elms+Sans:ital,wght@0,100..900;1,100..900&display=swap');


body {
    display: flex;
    flex-direction: column;

}

.partner-logo-slider {
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    box-sizing: border-box;
    position: relative;

    background-color: #e80000;
}

.partner-logo-slider:before {
    content: "";
    background: linear-gradient(to right, #e80000 0%, rgba(255, 255, 255, 0) 100%);
    position: absolute;
    top: 0;
    left: 0;
    width: 120px;
    height: 100%;
    z-index: 9;
}

.partner-logo-slider:after {
    content: "";
    background: linear-gradient(to left, #e80000 0%, rgba(255, 255, 255, 0) 100%);
   
    position: absolute;
    top: 0;
    right: 0;
    width: 120px;
    height: 100%;
    z-index: 9;
}

.partner-logo-slide {
    display: flex;
    align-items: center;
    gap: 20px;
    animation: partner-logo 30s linear infinite;
}

.partner-logo-slide:hover {
    animation-play-state: paused;
}

.partner-logo-slide img {
    width: 150px;

    padding: 20px;
    border-radius: 10px;
}

@keyframes partner-logo {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-50%);
    }
}

@media only screen and (max-width: 1025px) {
    .partner-logo-slide {
        gap: 20px;
    }

    .partner-logo-slide img {
        height: 45px;
    }
}

/*CUSTOM VARIABLES*/

.titrepartenaires {
    font-size: 30px;
    line-height: 0.9;
    font-weight: bold;
    text-align: center;
    text-shadow: 2px 2px 10px var(--background-color);
}

.imgpartenaire {
    width: 150px;

    border-radius: 10px;

}

.partenaires-titre {

    font-size: 30px;
    line-height: 0.9;
    font-weight: bold;
    text-align: center;
    text-shadow: 2px 2px 10px var(--background-color);
}

.partenairescontainer {
    display: flex;

    justify-content: center;
    align-items: center;
    gap: 20px;
    margin-top: 40px;
}


.partenaires-description {
    font-size: 18px;
    line-height: 1.5;
    text-align: center;
    max-width: 800px;
    margin: 20px auto;
    font-family: 'Elms Sans', sans-serif;
}

.imagespartenaire {
    display: grid;
    grid-template-columns: auto auto auto auto;
    justify-items: center;
    align-items: center;
    gap: 20px 10px;
    margin-bottom: 20px;
}